Bug 170678 - CAN-2005-3185 NTLM buffer overflow
CAN-2005-3185 NTLM buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: curl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
http://article.gmane.org/gmane.comp.w...
reported=20051012,public=20051012,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 13:50 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-807
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 08:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-13 13:50:33 EDT
+++ This bug was initially created as a clone of Bug #170666 +++

This text was scavanged from the libcurl advisory:

libcurl's NTLM function can overflow a stack-based buffer if given a too long
user name or domain name. This would happen if you enable NTLM authentication
and either:

 A - pass in a user name and domain name to libcurl that together are longer
     than 192 bytes

 B - allow (lib)curl to follow HTTP "redirects" (Location: and the appropriate
     HTTP 30x response code) and the new URL contains a URL with a user name
     and domain name that together are longer than 192 bytes

-- Additional comment from bressers@redhat.com on 2005-10-13 13:24 EST --
Created an attachment (id=119931)
Proposed patch from upstream


-- Additional comment from bressers@redhat.com on 2005-10-13 13:25 EST --
This issue also affects RHEL2.1 and RHEL3
Comment 1 Jindrich Novy 2005-10-14 07:35:48 EDT
Ivana is PTO today, so I added the patch to RHEL4 and RHEL3. RHEL2.1 seems to be
unaffected by this as the file to be patched "lib/http_ntlm.c" doesn't exist and
the function Curl_output_ntlm() doesn't exist as well in all the RHEL2.1 curl
sources.

The RHEL4 and RHEL3 curl with patch applied is now built.
Comment 2 Josh Bressers 2005-10-14 17:15:19 EDT
This is going to be RHSA-2005:807
Comment 4 Red Hat Bugzilla 2005-11-02 08:14:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-807.html

Note You need to log in before you can comment on or make changes to this bug.